/** @file win_aboutbox.cpp

	HITACHI MB-S1 Emulator 'EmuB-S1'
	Skelton for retropc emulator

	@author Sasaji
	@date   2015.01.21 -

	@brief [ about box ]
*/

#include "win_aboutbox.h"
#include "../../version.h"

namespace GUI_WIN
{

AboutBox::AboutBox(HINSTANCE hinst, CFont *new_font, EMU *new_emu)
	: CDialogBox(hinst, IDD_ABOUTBOX, new_font, new_emu)
{
}

AboutBox::~AboutBox()
{
}

INT_PTR AboutBox::onInitDialog(UINT message, WPARAM wParam, LPARAM lParam)
{
	CDialogBox::onInitDialog(message, wParam, lParam);

	RECT re;
	re.left = margin + 16;
	re.top = margin + 16;
	AdjustControl(IDC_STATIC_1, &re, 32, 32);
	LONG bottom = re.bottom;
	re.left = re.right + 16 + margin;
	re.top = margin;
	AdjustStatic(IDC_STATIC_2, &re);
	// version
	char buf[_MAX_PATH];
	sprintf(buf, "Version %s \"%s\"%s", APP_VERSION, PLATFORM
#ifdef _DEBUG
		," (DEBUG)"
#else
		,""
#endif
	);
	SetWindowTextA(GetDlgItem(hDlg, IDC_STATIC_3), buf);
	re.top = re.bottom + margin;
	AdjustStatic(IDC_STATIC_3, &re);
	re.top = re.bottom + margin;
	AdjustStatic(IDC_STATIC_4, &re);

	AdjustWindow(0);

	re.top = (bottom > re.bottom ? bottom : re.bottom) + margin;
	re.right = re_max.right;
	AdjustButton(IDOK, 8, &re, true);

	AdjustWindow(margin);

	return (INT_PTR)TRUE;
}

}; /* namespace GUI_WIN */
