/** @file win_configbox.h

	HITACHI MB-S1 Emulator 'EmuB-S1'
	Skelton for retropc emulator

	@author Sasaji
	@date   2012.03.24 -

	@brief [ config box ]
*/

#ifndef _CONFIGBOX_H_
#define _CONFIGBOX_H_

#include <windows.h>
#include "win_dialogbox.h"
#include "../../config.h"

namespace GUI_WIN
{

/**
	@brief config dialog
*/
class ConfigBox : public CDialogBox
{
private:
	HINSTANCE  hInstance;
	config_t  *pConfig;

	int        fdd_type;

//	int        wav_reverse;
//	int        wav_half;
//	int        wav_correct;
//	int        wav_correct_type;

//	int        wav_sample_rate;
//	int        wav_sample_bits;

	int	       io_port;
	int        sys_mode;
	int        exram_size_num;

	int selected_tabctrl;

	INT_PTR onInitDialog(UINT, WPARAM, LPARAM);
	INT_PTR onCommand(UINT, WPARAM, LPARAM);
	INT_PTR onNotify(UINT, WPARAM, LPARAM);
	INT_PTR onOK(UINT, WPARAM, LPARAM);
//	INT_PTR onControlColorStatic(UINT, WPARAM, LPARAM);

	void select_tabctrl(int tab_num);

public:
	ConfigBox(HINSTANCE, CFont *, EMU *, config_t *);
	~ConfigBox();
};

}; /* namespace GUI_WIN */

#endif /* _CONFIGBOX_H_ */
